package edu.iastate.jrelm.rl.rotherev.advanced;

import edu.iastate.jrelm.core.Action;
import edu.iastate.jrelm.spillover.SpilloverWeightGenerator;

/**
 * Generates spillover weights of 1 for the reference Action and 0 for the for all others.
 * This effectively eliminates spillover of reward values.
 * 
 * @author Charles Gieseler
 *
 */
public class NoSpillover<A extends Action> extends SpilloverWeightGenerator<A> {

	@Override
	public double generateWeight(A action) {
		A refAction = getReferenceAction();
		
		if(refAction.equals(action))
			return 1;
		else
			return 0;
	}

	@Override
	public String getName() {
		return "No Spillover";
	}
}
